WordPress 5.1 „Betty” został oficjalnie wydany 21 lutego 2019 i był pierwszym ważniejszym wydaniem od wersji 5 wprowadzającej edytor blokowy zwany również edytorem Gutenberg. Co zatem zmienia 5.1?

WordPress 5.1 Betty – co nowego?

Nowe ostrzeżenie w panelu dotyczące używanej wersji PHP w WordPressie

Wersja PHP 7.3 jest około 9% szybsza niż PHP 7.2 oraz trzy razy szybsza w obsłudze zapytań niż wersja PHP 5.6. Od wersji WordPress 5.1 będziesz otrzymywać w kokpicie ostrzeżenie jeśli na serwerze będzie uruchomiona niewspierana wersja PHP.

Pamiętaj WordPress oficjalnie zaleca używanie wersji PHP 7.3.

Sprawdzanie używanej wersji PHP w odniesieniu do kodu wtyczek i szablonów WordPress

Od teraz WordPress będzie uniemożliwiał instalowanie pluginów i szablonów WordPress jeśli nie będzie odpowiedniej wersji PHP uruchomionej na serwerze. Skąd to WordPress wie? Autor pluginu lub szablonu może wskazać minimalną wspieraną wersję.

Zwiększona wydajność edytora blokowego

Wraz z wydaniem głównego kodu WordPressa 5.1, zespół odpowiedzialny wydał również wersję 5.1 edytora blokowego, lecz w WordPressie została jeszcze użyta wersja 4.8. Mimo wszystko wersja 4.8 ładuje się szybciej i szybciej działa w niej wprowadzanie tekstu. Chociaż dopiero w wersji edytora 5.1 będzie to działało odpowiednio szybko.

Zmiany dla developerów w WordPress 5.1